#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-2">
        #{include 'pl/filter-produk-penyedia.html'/}
        </div>

        <div class="col-md-10">
            <h4>&{'daftar_produk.label'}</h4>
            <div class="panel panel-default">
                <div class="panel-body" style="overflow-x: auto">
                    <!-- Data Table -->
                    <table class="table table-striped" id="produk">
                        <thead>
                        <tr>
                            <th>&{'gambar.label'}</th>
                            <th class="header-left">&{'produk.label'}</th>
                            <th class="header-left">&{'nomor_produk_penyedia.label'}</th>
                            <th class="header-left">&{'persetujuan_tayang.label'}</th>
                            <th class="header-left">&{'dapat_dibeli.label'}</th>
                            <th class="header-left">&{'ditayangkan.label'}</th>
                            <th class="header-center"></th>
                        </tr>
                        </thead>
                    </table>
                    <!-- End Data Table -->
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="viewModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="image-display">
                                *{<img src="/public/images/image-not-found.png" class="img img-responsive">}*
                                <img id="url_image" class="img img-responsive" onerror="this.src='@{'/public/images/image-not-found.png'}';"/>
                            </div>
                        </div>
                        <p><span id="kategori"></span></p>
                        <p><span class="badge" style="background-color: #b51930" id="no_produk"></span></p>
                        <p><span class="badge" style="background-color: #b51930" id="nama_produk"></span></p>
                    </div>
                    <hr>
                    <div class="row">
                        <div class="col-md-6">
                            <p><h4><b>&{'permintaan_persetujuan_tayang.label'}</b></h4></p>
                        </div>
                        <div class="col-md-6">
                            <p><h4><b>&{'keputusan_permintaan.label'}</b></h4></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="row">
                                <label class="col-md-4" style="background-color: #F2E2E2; border-color: #EAD0D0">&{'oleh.label'}</label>
                                <div id="oleh_permintaan" class="col-md-8" style="font-weight: bold"></div>
                            </div>
                            <div class="row">
                                <label class="col-md-4" style="background-color: #F2E2E2; border-color: #EAD0D0">&{'tanggal.label'}</label>
                                <div id="tgl_permintaan" class="col-md-8" style="font-weight: bold"></div>
                            </div>
                            <div class="row">
                                <label class="col-md-4" style="background-color: #F2E2E2; border-color: #EAD0D0">&{'alasan_permintaan.label'}</label>
                                <div id="alasan_permintaan" class="col-md-8" style="font-weight: bold"></div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="row">
                                <label class="col-md-4" style="background-color: #F2E2E2; border-color: #EAD0D0">&{'keputusan.label'}</label>
                                <div id="hasil_keputusan" class="col-md-8" style="font-weight: bold"></div>
                            </div>
                            <div class="row">
                                <label class="col-md-4" style="background-color: #F2E2E2; border-color: #EAD0D0">&{'oleh.label'}</label>
                                <div id="oleh_keputusan" class="col-md-8" style="font-weight: bold"></div>
                            </div>
                            <div class="row">
                                <label class="col-md-4" style="background-color: #F2E2E2; border-color: #EAD0D0">&{'tanggal.label'}</label>
                                <div id="tgl_keputusan" class="col-md-8" style="font-weight: bold"></div>
                            </div>
                            <div class="row">
                                <label class="col-md-4" style="background-color: #F2E2E2; border-color: #EAD0D0">&{'alasan.label'}</label>
                                <div id="alasan_keputusan" class="col-md-8" style="font-weight: bold"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i class="fa fa-close"></i> &{'batal.label'}</button>
                </div>
            </div>
        </div>
    </div>
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    $(document).ready(function() {

        $("#produk").dataTable({
            "searching": false,
            "oLanguage": {
                "sEmptyTable": "<h3>&{'datatable.list.default.header'}</h3>\n" +
                        "<p>&{'datatable.list.default'}</p>"
            },
            ajax: {
                url:"@{controllers.katalog.ProductDataTable.cariProdukPenyedia()}",
                data: function(d){
                    d["firstLoad"] = $("#firstLoad").val();
                    //after first initialization set false
                    $("#firstLoad").val(false);
                    d["komoditas_id"] = $("#komoditas").val();
                    d["keyword"] = $("#keyword").val();
                    d["jenis_produk"]= $("#jenis_produk").val();
                    d["persetujuan_tayang"] = $("#persetujuan_tayang").val();
                    d["dibeli"] = $("#dibeli").val();
                    d["tayang"] = $("#tayang").val();
                },
                cache: true},
            order: [[ 1, "asc" ], [ 1, "asc" ]],
            "columns": [
                {"searchable": false }
                ,{"searchable": false }
                ,{"searchable": false }
                ,{"searchable": false }
                ,{"searchable": false }
                ,{"searchable": false }
                ,{"searchable": false, orderable: false}
            ],
            fnDrawCallback: function (oSettings) {
                this.DataTable().context[0].oLanguage.sEmptyTable = "&{'datatable.list.empty'}";
            }
        });

        $("#submitBtn").on("click", function(){
            $("#produk").DataTable().order(JSON.parse($('#order').val())).draw();
        });

        $('#keyword').keypress(function(event){
            var keycode = event.keyCode || event.which;
            if(keycode == '13') {
                $('#submitBtn').click();
                return false;
            }
            return;
        });
    });

    function showInfo(prodId){
        $.ajax({
            url: '@{katalog.ProdukCtr.infoSetujuTayang()}',
            data: {"prodId": prodId},
            type: 'POST',
            success: function(data){
                $("#viewModal").modal();
                $("#kategori").empty().append(data.kategori);
                $("#url_image").empty().attr("src", data.url_image);
                $("#no_produk").empty().append(data.no_produk);
                $("#nama_produk").empty().append(data.nama_produk);
                $("#oleh_permintaan").empty().append(data.oleh_permintaan);
                $("#tgl_permintaan").empty().append(data.tgl_permintaan);
                $("#alasan_permintaan").empty().append(data.alasan_permintaan);
                $("#hasil_keputusan").empty().append(data.hasil_keputusan);
                $("#oleh_keputusan").empty().append(data.oleh_keputusan);
                $("#tgl_keputusan").empty().append(data.tgl_keputusan);
                $("#alasan_keputusan").empty().append(data.alasan_keputusan);
            }
        });
    }
</script>
#{/set}